Delete an Agent Tool in a Project
delete
/ic/api/integration/v1/projects/{projectId}/ai/tools/{id}
Removes an Agent Tool from the project.
Request
Path Parameters
-
id(required): string
Agent Tool identifier
-
projectId(required): string
Project identifier
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
There's no request body for this operation.
Back to TopResponse
200 Response
Successful operation
500 Response
Server error
Examples
The following example shows how to delete an agent tool by submitting a DELETE request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Delete agent tool CREATE_ORDER_TOOL
This command removes the specified agent tool from the project.
curl -X DELETE -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/tools/CREATE_ORDER_TOOL?integrationInstance=service-instance